Package org.apache.sysds.runtime.matrix.operators

## Enum CMOperator.AggregateOperationTypes

- java.lang.Object
- - java.lang.Enum<CMOperator.AggregateOperationTypes>
  - - org.apache.sysds.runtime.matrix.operators.CMOperator.AggregateOperationTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<CMOperator.AggregateOperationTypes>`

Enclosing class:
  CMOperator

    public static enum CMOperator.AggregateOperationTypes
    extends Enum<CMOperator.AggregateOperationTypes>

### Enum Constant Summary

Enum Constants
`CM2`
`CM3`
`CM4`
`COUNT`
`INVALID`
`MAX`
`MEAN`
`MIN`
`SUM`
`VARIANCE`

### Method Summary

All Methods Static Methods Concrete Methods
`static CMOperator.AggregateOperationTypes` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CMOperator.AggregateOperationTypes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SUM

    public static final CMOperator.AggregateOperationTypes SUM

#### COUNT

    public static final CMOperator.AggregateOperationTypes COUNT

#### MEAN

    public static final CMOperator.AggregateOperationTypes MEAN

#### CM2

    public static final CMOperator.AggregateOperationTypes CM2

#### CM3

    public static final CMOperator.AggregateOperationTypes CM3

#### CM4

    public static final CMOperator.AggregateOperationTypes CM4

#### MIN

    public static final CMOperator.AggregateOperationTypes MIN

#### MAX

    public static final CMOperator.AggregateOperationTypes MAX

#### VARIANCE

    public static final CMOperator.AggregateOperationTypes VARIANCE

#### INVALID

    public static final CMOperator.AggregateOperationTypes INVALID

### Method Detail

#### values

    public static CMOperator.AggregateOperationTypes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CMOperator.AggregateOperationTypes c : CMOperator.AggregateOperationTypes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CMOperator.AggregateOperationTypes valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null